Insights
Get MRR, ARR, and ACV for a subscription
Returns the monthly recurring revenue (MRR), annual recurring revenue (ARR), and annual contract value (ACV) for a single subscription.
GET
/
insights
/
revenue
/
subscription
/
{id}
Get MRR, ARR, and ACV for a subscription
curl --request GET \
--url https://api.alguna.io/insights/revenue/subscription/{id} \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alguna.io/insights/revenue/subscription/{id}"
headers = {
"Alguna-Version": "<alguna-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Alguna-Version': '<alguna-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.alguna.io/insights/revenue/subscription/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"annual_contract_value": "125000.00",
"annual_recurring_revenue": "120000.00",
"currency": "USD",
"monthly_recurring_revenue": "10000.00"
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}Authorizations
API key authentication. Pass your API key as a Bearer token.
Headers
Available options:
2026-04-01 Path Parameters
Unique identifier for the subscription
Response
Success
Annual contract value (ACV)
Example:
"125000.00"
Annual recurring revenue (ARR)
Example:
"120000.00"
ISO 4217 currency code
Example:
"USD"
Monthly recurring revenue (MRR)
Example:
"10000.00"
⌘I
Get MRR, ARR, and ACV for a subscription
